For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • Reference - Partner API
      • GETGet Capabilities
      • PUTEnable or Disable Payment Method
      • PUTEnable or Disable Cross Border Trade
      • Lending
      • ProductConfiguration
LogoLogo
Reference - Partner APICapabilities

Enable or Disable Cross Border Trade

PUT
/v1/onboardings/:onboardingId/capabilities/cbt
PUT
/v1/onboardings/:onboardingId/capabilities/cbt
$curl -X PUT https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd/capabilities/cbt \
> -H "Accept: application/json" \
> -H "User-Agent: User-Agent" \
> -H "Content-Type: application/json" \
> -d '{
> "channels": [
> {
> "channel": "ONLINE",
> "enabled": true
> }
> ]
>}'
1{
2 "requestId": "86dg3d8-0b28-1627-378d-b9173ndhf87"
3}

Cross Border Trade (CBT) is Afterpay’s FX product that enables merchants to transact internationally.

Was this page helpful?
Previous

Lending

Next
Built with

Path parameters

onboardingIdstringRequired
The ID that is returned during a successful Create an onboarding call.

Headers

User-AgentstringRequired
AcceptstringRequiredDefaults to application/json
Specifies media types that are acceptable for the response.

Request

This endpoint expects an object.
channelslist of objectsRequired

Response

CBT configuration updated successfully.
requestIdstring
ID for the CBT config update request.

Errors

503
Service Unavailable Error